Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSFillStyle

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSFillStyle

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  FSBitmapFill, FSGradientFill, FSMorphBitmapFill, FSMorphGradientFill, FSMorphSolidFill, FSSolidFill

    public abstract class FSFillStyle

extends FSTransformObject

FSFillStyle is an abstract base class for the different types of fill style that can be applied to shapes.

Field Summary
`static int` | `Clipped` Defines the type for a clipped bitmap fill style.
`static int` | `Linear` Defines the type for a linear gradient fill style.
`static int` | `Radial` Defines the type for a radial gradient fill style.
`static int` | `Solid` Defines the type for a solid fill style.
`static int` | `Tiled` Defines the type for a tiled bitmap fill style.
`protected int` | `type`
`static int` | `Unsmoothed_Clipped` Defines the type for a clipped bitmap fill style - added in Flash 7.
`static int` | `Unsmoothed_Tiled` Defines the type for a tiled bitmap fill style - added in Flash 7.

Constructor Summary
`protected` | `FSFillStyle(FSCoder coder)`
`protected` | `FSFillStyle(FSFillStyle obj)`
`protected` | `FSFillStyle(int aType)`

Method Summary
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getType()` Gets the type of the fill style.
`int` | `length(FSCoder coder)`
`void` | `setType(int aType)` Sets the type of the fill style.

Methods inherited from class com.flagstone.transform.FSTransformObject
`appendDescription, clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Solid

    public static final int Solid

  Defines the type for a solid fill style.

  See Also:
    Constant Field Values

### Linear

    public static final int Linear

  Defines the type for a linear gradient fill style.

  See Also:
    Constant Field Values

### Radial

    public static final int Radial

  Defines the type for a radial gradient fill style.

  See Also:
    Constant Field Values

### Tiled

    public static final int Tiled

  Defines the type for a tiled bitmap fill style.

  See Also:
    Constant Field Values

### Clipped

    public static final int Clipped

  Defines the type for a clipped bitmap fill style.

  See Also:
    Constant Field Values

### Unsmoothed_Tiled

    public static final int Unsmoothed_Tiled

  Defines the type for a tiled bitmap fill style - added in Flash 7.

  See Also:
    Constant Field Values

### Unsmoothed_Clipped

    public static final int Unsmoothed_Clipped

  Defines the type for a clipped bitmap fill style - added in Flash 7.

  See Also:
    Constant Field Values

### type

    protected int type

Constructor Detail

### FSFillStyle

    protected FSFillStyle(FSCoder coder)

### FSFillStyle

    protected FSFillStyle(FSFillStyle obj)

### FSFillStyle

    protected FSFillStyle(int aType)

Method Detail

### getType

    public int getType()

  Gets the type of the fill style. The type attribute is read-only and may be used when iterating through an array of fill style objects to identify the type of fill style without using run-time type checking provided by the compiler.

  Returns:
    the type of fill.

### setType

    public void setType(int aType)

  Sets the type of the fill style.

  Parameters:
    `aType` - the type of fill.

### equals

    public boolean equals(java.lang.Object anObject)

  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSTransformObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### length

    public int length(FSCoder coder)

  Specified by:
    `length` in class `FSTransformObject`

### encode

    public void encode(FSCoder coder)

  Specified by:
    `encode` in class `FSTransformObject`

### decode

    public void decode(FSCoder coder)

  Specified by:
    `decode` in class `FSTransformObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD